Package com.xebialabs.xlrelease.api.v1.forms

# Class UserAccount

java.lang.Object
com.xebialabs.xlrelease.api.v1.forms.UserAccount

public class UserAccount extends Object
A compound object containing user information, using in API

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserAccount()`
  `UserAccount(String username, UserProfile profile, boolean isInternal)`
  `UserAccount(String username, UserProfile profile, boolean isInternal, boolean personalAccessTokenEnabled)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDateFormat()`
  `String`
  `getDefaultFolderPage()`
  `String`
  `getDefaultGlobalPage()`
  `String`
  `getEmail()`
  `String`
  `getExternalId()`
  `int`
  `getFailedLoginAttemptCount()`
  `Integer`
  `getFirstDayOfWeek()`
  `String`
  `getFullName()`
  `Date`
  `getLastActive()`
  `Date`
  `getLastFailedLoginAt()`
  `String`
  `getPassword()`
  `String`
  `getPreviousPassword()`
  `String`
  `getProfileId()`
  `String`
  `getTimeFormat()`
  `String`
  `getTimezone()`
  `String`
  `getUsername()`
  `boolean`
  `hasPassword()`
  `boolean`
  `isAccountLocked()`
  `boolean`
  `isAnalyticsEnabled()`
  `boolean`
  `isExternal()`
  `boolean`
  `isLoginAllowed()`
  `boolean`
  `isPersonalAccessTokenEnabled()`
  `boolean`
  `isSystemTenant()`
  `void`
  `setAccountLocked(boolean accountLocked)`
  `void`
  `setAnalyticsEnabled(boolean analyticsEnabled)`
  `void`
  `setDateFormat(String dateFormat)`
  `void`
  `setDefaultFolderPage(String defaultFolderPage)`
  `void`
  `setDefaultGlobalPage(String defaultGlobalPage)`
  `void`
  `setEmail(String email)`
  `void`
  `setExternalId(String externalId)`
  `void`
  `setFailedLoginAttemptCount(int failedLoginAttemptCount)`
  `void`
  `setFirstDayOfWeek(Integer firstDayOfWeek)`
  `void`
  `setFullName(String fullName)`
  `void`
  `setLastActive(Date lastActive)`
  `void`
  `setLastFailedLoginAt(Date lastFailedLoginAt)`
  `void`
  `setLoginAllowed(boolean loginAllowed)`
  `void`
  `setPassword(String password)`
  `void`
  `setPreviousPassword(String previousPassword)`
  `void`
  `setTimeFormat(String timeFormat)`
  `void`
  `setTimezone(String timezone)`
  `void`
  `setUsername(String username)`
  `UserProfile`
  `toUserProfile()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UserAccount

    public UserAccount()

  - ### UserAccount

    public UserAccount(String username, UserProfile profile, boolean isInternal)

  - ### UserAccount

    public UserAccount(String username, UserProfile profile, boolean isInternal, boolean personalAccessTokenEnabled)

- ## Method Details

  - ### toUserProfile

    public UserProfile toUserProfile()

  - ### getUsername

    public String getUsername()

  - ### setUsername

    public void setUsername(String username)

  - ### isExternal

    public boolean isExternal()

  - ### isPersonalAccessTokenEnabled

    public boolean isPersonalAccessTokenEnabled()

  - ### getProfileId

    public String getProfileId()

  - ### getEmail

    public String getEmail()

  - ### setEmail

    public void setEmail(String email)

  - ### getPassword

    public String getPassword()

  - ### setPassword

    public void setPassword(String password)

  - ### hasPassword

    public boolean hasPassword()

  - ### getPreviousPassword

    public String getPreviousPassword()

  - ### setPreviousPassword

    public void setPreviousPassword(String previousPassword)

  - ### getFullName

    public String getFullName()

  - ### setFullName

    public void setFullName(String fullName)

  - ### getExternalId

    public String getExternalId()

  - ### setExternalId

    public void setExternalId(String externalId)

  - ### isLoginAllowed

    public boolean isLoginAllowed()

  - ### setLoginAllowed

    public void setLoginAllowed(boolean loginAllowed)

  - ### getDateFormat

    public String getDateFormat()

  - ### setDateFormat

    public void setDateFormat(String dateFormat)

  - ### getFirstDayOfWeek

    public Integer getFirstDayOfWeek()

  - ### setFirstDayOfWeek

    public void setFirstDayOfWeek(Integer firstDayOfWeek)

  - ### getTimeFormat

    public String getTimeFormat()

  - ### setTimeFormat

    public void setTimeFormat(String timeFormat)

  - ### getTimezone

    public String getTimezone()

  - ### setTimezone

    public void setTimezone(String timezone)

  - ### getLastActive

    public Date getLastActive()

  - ### setLastActive

    public void setLastActive(Date lastActive)

  - ### isAnalyticsEnabled

    public boolean isAnalyticsEnabled()

  - ### setAnalyticsEnabled

    public void setAnalyticsEnabled(boolean analyticsEnabled)

  - ### getDefaultGlobalPage

    public String getDefaultGlobalPage()

  - ### setDefaultGlobalPage

    public void setDefaultGlobalPage(String defaultGlobalPage)

  - ### getDefaultFolderPage

    public String getDefaultFolderPage()

  - ### setDefaultFolderPage

    public void setDefaultFolderPage(String defaultFolderPage)

  - ### isSystemTenant

    public boolean isSystemTenant()

  - ### isAccountLocked

    public boolean isAccountLocked()

  - ### setAccountLocked

    public void setAccountLocked(boolean accountLocked)

  - ### getFailedLoginAttemptCount

    public int getFailedLoginAttemptCount()

  - ### setFailedLoginAttemptCount

    public void setFailedLoginAttemptCount(int failedLoginAttemptCount)

  - ### getLastFailedLoginAt

    public Date getLastFailedLoginAt()

  - ### setLastFailedLoginAt

    public void setLastFailedLoginAt(Date lastFailedLoginAt)